package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsCartModel = (*customFsCartModel)(nil)

type (
	// FsCartModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsCartModel.
	FsCartModel interface {
		fsCartModel
	}

	customFsCartModel struct {
		*defaultFsCartModel
	}
)

// NewFsCartModel returns a model for the database table.
func NewFsCartModel(conn sqlx.SqlConn) FsCartModel {
	return &customFsCartModel{
		defaultFsCartModel: newFsCartModel(conn),
	}
}
